class AssetNDAutoCompleteByDynamicCodesModel {
  int? id;
  String? assetName;
  int? codeTypeId;
  String? codeValue;
  String? displayName;

  AssetNDAutoCompleteByDynamicCodesModel({this.id, this.assetName, this.codeTypeId, this.codeValue, this.displayName});

  AssetNDAutoCompleteByDynamicCodesModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    assetName = json['assetName'];
    codeTypeId = json['codeTypeId'];
    codeValue = json['codeValue'];
    displayName = json['displayName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['assetName'] = this.assetName;
    data['codeTypeId'] = this.codeTypeId;
    data['codeValue'] = this.codeValue;
    data['displayName'] = this.displayName;
    return data;
  }
}
